Summary:	Tool for decode and encode sample catalogues for OpenTTD
Summary(pl.UTF-8):	Narzędzie do dekodowania oraz enkodowania katalogów dźwiękowych dla OpenTTD
Name:		catcodec
Version:	1.0.5
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	https://cdn.openttd.org/catcodec-releases/%{version}/%{name}-%{version}-source.tar.xz
# Source0-md5:	732af1bbe83ffdde17dc10703896472d
Patch0:		%{name}-flags.patch
URL:		http://www.openttd.org/en/download-catcodec
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
catcodec decodes and encodes sample catalogues for OpenTTD.

%description -l pl.UTF-8
catcodec to narzędzie do dekodowania i enkodowania katalogów
dźwiękowych dla OpenTTD.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}" \
	VERBOSE="on"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install catcodec $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/readme.txt
%attr(755,root,root) %{_bindir}/catcodec
%changelog
* Sun May 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/catcodec.git;a=log;h=master

* Sun May 16 2021 Jan Rękorajski <baggins@pld-linux.org> fe4b0a8
- up to 1.0.5

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> ec663b7
- 1.0.3

* Mon Oct 25 2010 lisu <lisu@pld-linux.org> 22f2a82
- 1.0.2

* Thu Sep 02 2010 lisu <lisu@pld-linux.org> 70ceefb
- change Source0 URL and update md5

* Thu Sep 02 2010 lisu <lisu@pld-linux.org> f25979b
- updated for 1.0.1

* Thu Sep 02 2010 lisu <lisu@pld-linux.org> 94155da
- up to 1.0.1
- verbose build

* Sat May 01 2010 sparky <sparky@pld-linux.org> fcbeb21
- BR: libstdc++-devel

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> 269eee0
- pass our CFLAGS and LDFLAGS

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> 963b3a9
- init

